-- DROP TABLE [PMX_TEOX_SERNUM_LOG]

CREATE TABLE [PMX_TEOX_SERNUM_LOG] (
   [InternalKey] [int] identity(1,1) NOT NULL,
	[LotNr] [varchar](13) NOT NULL,
	[FirstSeqNr] [int] NOT NULL,
	[LastSeqNr] [int] NOT NULL,
	[Quantity] [int] NOT NULL,
	[PickListDocEntry] [int] NULL,
	[PickListLineNum] [int] NULL,
	[SalesReturnDocEntry] [int] NULL,
	[SalesReturnLineNum] [int] NULL,
   CONSTRAINT [PK_PMX_TEOX_SERNUM_LOG] PRIMARY KEY CLUSTERED ( [InternalKey] )
)

CREATE INDEX [IX_PMX_TEOX_SERNUM_LOG_1] ON [PMX_TEOX_SERNUM_LOG] ( [LotNr], [FirstSeqNr] )
INCLUDE ( [LastSeqNr] )

CREATE INDEX [IX_PMX_TEOX_SERNUM_LOG_2] ON [PMX_TEOX_SERNUM_LOG] ( [PickListDocEntry] )

CREATE INDEX [IX_PMX_TEOX_SERNUM_LOG_3] ON [PMX_TEOX_SERNUM_LOG] ( [SalesReturnDocEntry] )
